Skip to main content
PATCH
Update pull secret

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Path Parameters

project_id
integer
required

Project id

Example:

1

region_id
integer
required

Region id

Example:

1

secret_name
string
required

Pull secret name

Pattern: ^[a-zA-Z0-9][a-zA-Z0-9.-]+[a-zA-Z0-9]$
Example:

"secret-name"

Body

application/json
login
string | null

Pull secret login

Required string length: 1 - 100
Example:

"login"

password
string<password> | null

Pull secret password

Required string length: 1 - 5000
Example:

"password"

registry
string | null

Pull secret registry

Required string length: 1 - 400
Example:

"some.registry.com"

Response

200 - application/json

OK

login
string
required

Pull secret login

Example:

"login"

name
string
required

Pull secret name

Example:

"my-secret"

registry
string
required

Pull secret registry

Example:

"some.registry.com"

updated_at
string
required

Pull secret updated at

Example:

"2021-01-01T00:00:00Z"